当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装ati驱动程序不成功,请高手指点
帖子发表于 : 2008-10-30 16:10 

注册: 2008-04-09 9:54
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
安装过程
下载:
https://a248.e.akamai.net/f/674/9206/0/ ... x86_64.run
安装:
sudo sh ati-driver-installer-8-10-x86.x86_64.run
提示:如下(系统为ubuntu 8.1,显卡为ATI READON 9200)
Created directory fglrx-install.WY9099
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.542...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.27-7-generic; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.WY9099


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装ati驱动程序不成功,请高手指点
帖子发表于 : 2008-10-30 16:12 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
版本不符,其实你只要打开受限驱动就好了


_________________
关注我的blog: ε==3


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装ati驱动程序不成功,请高手指点
帖子发表于 : 2008-10-30 16:16 
头像

注册: 2006-02-28 3:11
帖子: 2470
送出感谢: 0 次
接收感谢: 0 次
问骨头, 用终端怎么打开受限驱动呢??


_________________
一梦三年,
松风依旧,
萝月何曾老.


灵幽听微, 谁观玉颜?
灼灼春华, 绿叶含丹.


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装ati驱动程序不成功,请高手指点
帖子发表于 : 2008-10-30 17:37 

注册: 2008-04-09 9:54
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
bones7456 写道:
版本不符,其实你只要打开受限驱动就好了

如何打开?请指点。
另外:升级到8。1后系统管理面找不到硬件驱动了?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装ati驱动程序不成功,请高手指点
帖子发表于 : 2008-10-31 3:50 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
引用:
如果你希望在 ubuntu 8.04 正确安装和配置 ATI 显卡驱动,请认真阅读以下文字。(最好能够加以理解,以备今后的系统以及驱动的升级。)

本人机器硬件配置:

AMD Athlon 64 X2 Dual Core 5400+
HA-07 ultra (板载 ATI HD 3300)
Kinston 4G DDR2 800
WD 640G SATA

其他环境:

ubuntu 为 windows XP 下以 wubi 方式安装。

以下内容为正文:

========================================

Ubuntu 8.04 下 ATI Catalyst 8.10 驱动安装
在 Ubuntu 上,目前最令人头疼的就是硬件支持的问题,这其中最显著的就是显卡问题,nVidia 类的卡可能还稍好一些,可是 ATI 的用户就没有那么幸运。如果采用受限驱动,功能效果方面相比官方版驱动差很多。在我的电脑上表现为direct rending始终为no。在苦苦探索后,终于觅得了良方,解决了安装难的问题。本文参考了ATI非官方WIKI(http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide)中的做法。非常管用。

本文适用于32位和64位(64位经本人验证)机器 ATI 显卡用户安装 ATI Catalyst 8.8 & 8.9 & 8.10 (经本人验证)For Linux。如果需要查询64位机器的安装方法,参见原文(链接见上文)。

首先先从ATI官网上将驱动文件包下载到电脑上。

本例使用的是 ati-driver-installer-8-10-x86-x86_64.run(驱动可以到 AMD 官方网站下载:http://www.amd.com.cn)

在终端中执行:

sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-$(uname -r)

说明:可以[复制]到[终端]中执行,因为我只关心最后成功与否,至于技术性的讨论和研究,实在是太耗时间了,以下内容亦同。

----------------------------------------------------------------------------------------

切换目录到你下载的安装包位置,在终端中执行:

sh ati-driver-installer-8-10-x86.x86_64.run --buildpkg Ubuntu/hardy

说明:此处我将文件名重命名为 ati.run,你也可以按照原文件名输入,也可以[复制]以上内容。

----------------------------------------------------------------------------------------

在/usr/lib中找到一个名为libGL.so的文件。

然后在终端中执行:

sudo ln -s /usr/lib/libGL.so /usr/lib/libGL.so.1

说明:这一步我执行以后,提示我文件已经存在。(我的是64位系统,32位系统未验证,按照原作者的意思应该是需要这一步的。)

----------------------------------------------------------------------------------------

可能需要重新执行:(一般跳过这一步)

sudo sh ati-driver-installer-8-9-x86.x86_64.run --buildpkg Ubuntu/hardy

说明:原作者未加入 sudo 命令,我自己加的。而且这一步我并没有重做。

----------------------------------------------------------------------------------------

然后对文件进行设置:

sudo gedit /etc/default/linux-restricted-modules-common

将DISABLED_MODULES="" 改为DISABLED_MODULES="fglrx"

按照原文在这里的意思,是说修改完上一句后,可以在受限驱动管理器中看到,受限驱动虽没有被选中,但在安装的后期,可发现状态是“使用中”。这说明受限驱动中的fglrx模块虽被禁用,但你下载的安装包中的fglrx模块正在起作用。

说明:这一步没有问题,按照提示内容继续。

----------------------------------------------------------------------------------------

然后对文件进行设置:

sudo gedit /etc/modprobe.d/blacklist-restricted

说明:此文件我的机器没有,或者可能是个空文件。不理会,继续下一步。

----------------------------------------------------------------------------------------

sudo gedit /etc/modprobe.d/blacklist-local

上两个文件可能不存在,如果不存在的话就不用新建再更改。以我的电脑为例,我只有第2个文件,即blacklist-local文件。在其中可发现有“blacklist fglrx”字样,在这前面加上一个#字。保存退出。

说明:按照提示内容继续。

----------------------------------------------------------------------------------------

好,接下来可以安装刚刚生成的五个DEB包了:

sudo dpkg -i xorg-driver-fglrx_*.deb fglrx-kernel-source_*.deb fglrx-amdcccle_*.deb

说明:按照提示内容继续。

----------------------------------------------------------------------------------------

最后进入扫尾阶段:

先修改xorg.conf中的设置:

sudo gedit /etc/X11/xorg.conf

在其中找到Section "Device"字段,其中有个Driver,把它后面的参数改为"fglrx"。

说明:此文件中我的机器设置已经是 "fglrx"

如果没有找到改字段,直接将下段代码复制到文件中:

Section "Device" [...]
Driver "fglrx"
[...]
EndSection

保存退出。

在终端中执行:

sudo aticonfig --initial -f

sudo aticonfig --input=/etc/X11/xorg.conf --tls=1

重启。

说明:按照提示内容继续。

----------------------------------------------------------------------------------------

可以使用 DISPLAY=:0 glxinfo | grep render 命令查看结果,如果显示的是direct rending为yes。那么恭喜你,你已经安装成功了。如果仍为no,请继续阅读下文。

说明:我的机器设置到此步骤已经显示为 yes

首先删除xserver-xgl

sudo apt-get remove xserver-xgl

再把这一段加进/etc/X11/xorg.conf里:

Section "Extensions"
Option "Composite" "Enable"
EndSection

最后这一步非常重要,我的机器就是在加上这一段后,direct rending终于变为了yes。至此,大功告成了!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装ati驱动程序不成功,请高手指点
帖子发表于 : 2008-10-31 14:04 

注册: 2008-10-31 13:13
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
通过驱动那下载,也不行啊。。。。
装官网,和楼主一样。。。。
这8.10,急死人了。。。


(解决啦。。换个源,试试。。。不行,再换。。。。原来不同的服务源,软件包不是完全一样的。。
我的X200终于启用了~)


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译